"""core URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import include, path

from climbing import urls as climbing_urls
from nutrition import urls as nutrition_urls
from training import urls as training_urls
from user_profile import urls as user_profile_urls

from . import views

urlpatterns = (
    path('admin/', admin.site.urls),
    path('', views.index),
    path('c/', include(climbing_urls)),
    path('n/', include(nutrition_urls)),
    path('t/', include(training_urls)),
    path('u/', include(user_profile_urls)),
)
