from django.contrib.auth.models import User
from django.db import models

class Food(models.Model):
    name = models.CharField(max_length=64)
    brand = models.CharField(max_length=64)
    calories = models.PositiveIntegerField()

    def __str__(self):
        return '{} ({})'.format(self.name, self.brand)

WEIGHT_UNITS_CHOICES = (
    ('kgs', 'kgs'),
    ('lbs', 'lbs'),
)

class WeightRecord(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    weight = models.PositiveIntegerField()
    units = models.CharField(max_length=3, choices=WEIGHT_UNITS_CHOICES)

    def __str__(self):
        return '{}: {}{}'.format(
            self.user.username,
            self.weight,
            self.units,
        )
