from django.contrib.auth.models import User
from django.http import Http404
from django.shortcuts import get_object_or_404
from django.views.generic.detail import DetailView

class UserProfileDetailView(DetailView):
    model = User

    def get_object(self):
        username = self.kwargs.get('username')

        if username:
            return get_object_or_404(User, username=username)

        if self.request.user.is_authenticated:
            return self.request.user

        raise Http404()

user_profile_detail = UserProfileDetailView.as_view()
